/**
 * Created by Administrator on 2016/7/27.
 */
(()=>{
    const $form = $('#container .introducer');
    const $introducerMobile = $('#introducerMobile', $form);
    const $projectDescription = $('#projectDescription', $form);
    const $errorPhone = $('.error-phone', $form);
    const $errorDescription =  $('.error-description', $form);

    const filterMobileInput = ($mobile)=>{
        $mobile.val(($mobile.val()+'').replace(/[^\d]/g, ''));
    };

    const validateMobile = (mobile)=>{
        return /^[\d]{11}$/g.test(mobile);
    };

    const validateRequire = (value)=>{
        return value.length;
    };

    $introducerMobile.on('keyup', (e)=>{
        filterMobileInput($introducerMobile);
    }).on('change blur', (e)=>{
        validateMobile($.trim($introducerMobile.val()+'')) ?
            $errorPhone.empty() :
            $errorPhone.html('手机号输入错误!');
    });

    $projectDescription.on('change blur', (e)=>{
        validateRequire($.trim($projectDescription.val()+'')) ?
            $errorDescription.empty() :
            $errorDescription.html('请输入项目描述内容!');
    });

    $form.on('submit', (e)=>{
        let mobile = $.trim($introducerMobile.val()+'');
        let desc = $.trim($projectDescription.val()+'');
        if(validateMobile(mobile)){
            $errorPhone.empty()
        }else{
            $errorPhone.html('手机号输入错误!');
            return;
        }
        if(validateRequire(desc)){
            $errorDescription.empty()
        }else {
            $errorDescription.html('请输入项目描述内容!');
            return;
        }
        request('', {}, 'POST').then((result)=>{
            console.log(result);
        });
    });
})();

(()=>{
    const $modalBox = $('.modal-box');

    $('.hot-project-address').on('click','a',(e)=>{
        e.preventDefault();
        $modalBox.fadeIn(300);
    });

    $modalBox.on('click', '.modal-dialog-close', (e)=>{
        e.preventDefault();
        $modalBox.fadeOut(300);
    });



})();






// (function () {
//
//
//
//
//
//     var $modalBoxProject = $('.modal-box-project');
//     var $modalBoxSuccess = $('.modal-box-success');
//
//
//
//
//     /**
//      * 地图项目地址弹框
//      */
//     $('.hot-project-address a').click(function (e) {
//         e.preventDefault();
//         $modalBox.fadeIn(300);
//     });
//     $('#modalBoxHidden').click(function (e) {
//         e.preventDefault();
//         $modalBox.fadeOut(300);
//     });
//
//     /**
//      * 项目提交弹框
//      */
//     $submit.on('click',function(e){
//         e.preventDefault();
//         $modalBoxSuccess.fadeIn(300);
//     });
//     $('.modal-box-success a').on('click',function(e){
//         e.preventDefault();
//         $modalBoxSuccess.fadeOut(300);
//     });
//
//
// })();